Package csb :: Package bio :: Package sequence :: Class SequenceAdapter

[frames] | no frames]

# Class SequenceAdapter

source code

    object --+
             |
            SequenceAdapter

Known Subclasses:
  - AlignedSequenceAdapter

Base wrapper class for AbstractSequence objects. Needs to be sub-classed (does not do anything special on its own).

Instance Methods

__getitem__(self, i) | source code

__init__(self, sequence) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

__repr__(self) repr(x) | source code

__str__(self) str(x) | source code

extract(self, positions) | source code

strip(self) | source code

subregion(self, start, end) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| alphabet
| header
| id
| length
| sequence
| type
Inherited from `object`: `__class__`

Method Details

### __init__(self, sequence)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sequence` (AbstractSequence) - adaptee
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

Property Details

### alphabet

Get Method:
  unreachable.alphabet(self)

### header

Get Method:
  unreachable.header(self)

### id

Get Method:
  unreachable.id(self)

### length

Get Method:
  unreachable.length(self)

### sequence

Get Method:
  unreachable.sequence(self)

### type

Get Method:
  unreachable.type(self)